Index: /EcnlProtoTool/trunk/prototool/.cproject
===================================================================
--- /EcnlProtoTool/trunk/prototool/.cproject	(revision 423)
+++ /EcnlProtoTool/trunk/prototool/.cproject	(revision 424)
@@ -63,73 +85,58 @@
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/ntshell/gr_peach&quot;"/>
 								</option>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Compiler.option.macroDefines.133908648" name="ãã¯ã­å®ç¾©" superClass="com.renesas.cdt.rz.Debug.Compiler.option.macroDefines" valueType="definedSymbols">
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.defs.165293534" name="Defined symbols (-D)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.defs" useByScannerDiscovery="true" valueType="definedSymbols">
 									<listOptionValue builtIn="false" value="MRB_GC_STRESS"/>
 									<listOptionValue builtIn="false" value="MRB_ENABLE_DEBUG_HOOK"/>
-								</option>
-								<option id="com.renesas.cdt.core.Compiler.option.stdWarnings.1803476376" name="æ¨æºã®è­¦å" superClass="com.renesas.cdt.core.Compiler.option.stdWarnings" value="com.renesas.cdt.core.Compiler.option.stdWarnings.enableAll" valueType="enumerated"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning1.1133058357" name="é
-åã®æ·»å­ã®åã char ã§ããå ´åã«è­¦åãã (-Wchar-subscripts)" superClass="com.renesas.cdt.core.Compiler.option.warning1" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning2.706412841" name="ã³ã¡ã³ãã®ä¸­ã«ã³ã¡ã³ããåºç¾ããå ´åã«è­¦åãã (-Wcomment)" superClass="com.renesas.cdt.core.Compiler.option.warning2" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning3.1969743283" name="æå­åã®é¢æ°ãã©ã¼ããããæ­£ãããªãå ´åã«è­¦åãã (-Wformat)" superClass="com.renesas.cdt.core.Compiler.option.warning3" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning4.1367213009" name="é¢æ°ãå¼æ°ãæç¤ºçã«å®£è¨ããã¦ããå ´åã«è­¦åãã (-Wimplicit)" superClass="com.renesas.cdt.core.Compiler.option.warning4" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning5.742877233" name="#import ã®ä½¿ç¨ã«å¯¾ããè­¦åãç¡å¹ã«ãã (-Wno-import)" superClass="com.renesas.cdt.core.Compiler.option.warning5" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning6.1136015423" name="ç¹å®ã®æèã§æ¬å¼§ãçç¥ããã¦ããå ´åã«è­¦åãã (-Wparentheses)" superClass="com.renesas.cdt.core.Compiler.option.warning6" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning7.1384330048" name="æ»ãå¤ã®åã«åé¡ãããå ´åã«è­¦åãã (-Wreturn-type)" superClass="com.renesas.cdt.core.Compiler.option.warning7" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning8.1703709673" name="switch æã«åé¡ãããå ´åã«è­¦åãã(-Wswitch)" superClass="com.renesas.cdt.core.Compiler.option.warning8" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning9.1004558301" name="ãã©ã¤ã°ã©ããåºç¾ããå ´åã«è­¦åãã (-Wtrigraphs)" superClass="com.renesas.cdt.core.Compiler.option.warning9" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning10.1831665847" name="å®£è¨ãããé¢æ°ãä½¿ç¨ããã¦ããªãå ´åã«è­¦åãã (-Wunused)" superClass="com.renesas.cdt.core.Compiler.option.warning10" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning11.953929254" name="åæåããã¦ããªãèªåå¤æ°ãä½¿ç¨ããã¦ããå ´åã«è­¦åãã (-Wuninitialized)" superClass="com.renesas.cdt.core.Compiler.option.warning11" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning12.1693791872" name="ã¡ã³ãã¼åæåã®ä¸ä¸è´ãè­¦åãã (-Wreorder)" superClass="com.renesas.cdt.core.Compiler.option.warning12" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning13.1142601544" name="èª¤ã£ãç¬¦å·æ¯è¼ãè­¦åãã (-Wsign-compare)" superClass="com.renesas.cdt.core.Compiler.option.warning13" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.advWarnings.1570239770" name="é«åº¦ãªè­¦å" superClass="com.renesas.cdt.core.Compiler.option.advWarnings" value="com.renesas.cdt.core.Compiler.option.advWarnings.selectOptions" valueType="enumerated"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning14.321008174" name="è¿½å ã®è­¦åã¡ãã»ã¼ã¸ãè¡¨ç¤ºãã (-Wextra)" superClass="com.renesas.cdt.core.Compiler.option.warning14" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning15.1876124178" name="é¢æ°ãæ§é ä½ã¾ãã¯å
-±ç¨ä½ãè¿ãå ´åã«è­¦åãã (-Waggregate-return)" superClass="com.renesas.cdt.core.Compiler.option.warning15" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning16.273479800" name="é¢æ°ã®å¼ã³åºããä¸è´ããªãåã«ã­ã£ã¹ãããã¦ããå ´åã«è­¦åãã (-Wbad-function-cast)" superClass="com.renesas.cdt.core.Compiler.option.warning16" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning17.798012030" name="ãã¤ã³ã¿ã¼ã®ã­ã£ã¹ãã§ã¢ã©ã¤ã¡ã³ããèª¤ã£ã¦ããå ´åã«è­¦åãã (-Wcast-align)" superClass="com.renesas.cdt.core.Compiler.option.warning17" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning18.2088382859" name="ãã¤ã³ã¿ã¼ã®ã­ã£ã¹ãã§åä¿®é£¾å­ãèª¤ã£ã¦ããå ´åã«è­¦åãã (-Wcast-qual)" superClass="com.renesas.cdt.core.Compiler.option.warning18" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning19.619593184" name="ç¹å®ã®ãã­ãã¿ã¤ãå¤æã«å¯¾ãã¦è­¦åãã (-Wconversion)" superClass="com.renesas.cdt.core.Compiler.option.warning19" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning20.815721946" name="ãã¹ã¦ã®è­¦åãã¨ã©ã¼ã«å¤æãã (-Werror)    " superClass="com.renesas.cdt.core.Compiler.option.warning20" value="false" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning21.1126906290" name="é¢æ°ãã¤ã³ã©ã¤ã³å±éã§ããªãå ´åã«è­¦åãã (-Winline)" superClass="com.renesas.cdt.core.Compiler.option.warning21" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning22.308702192" name="ã°ã­ã¼ãã«é¢æ°ãå®£è¨ããã«å®ç¾©ããå ´åã«è­¦åãã (-Wmissing-declarations)" superClass="com.renesas.cdt.core.Compiler.option.warning22" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning23.861342358" name="ã°ã­ã¼ãã«é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨ããªãå ´åã«è­¦åãã (-Wmissing-prototypes)" superClass="com.renesas.cdt.core.Compiler.option.warning23" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning24.1544315733" name="é¢æ°å
-ã« extern é¢æ°ãå­å¨ããå ´åã«è­¦åãã (-Wnested-externs)" superClass="com.renesas.cdt.core.Compiler.option.warning24" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning25.1309490501" name="é¢æ°ã®åã void ã«ä¾å­ããå ´åã«è­¦åãã (-Wpointer-arith)" superClass="com.renesas.cdt.core.Compiler.option.warning25" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning26.1312267048" name="è¤æ°ã®å®£è¨ãããå ´åã«è­¦åãã (-Wredundant-decls)" superClass="com.renesas.cdt.core.Compiler.option.warning26" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning27.1756685044" name="ã­ã¼ã«ã«å¤æ°ãä»ã®ã­ã¼ã«ã«å¤æ°ãé ãã¦ããå ´åã«è­¦åãã (-Wshadow)" superClass="com.renesas.cdt.core.Compiler.option.warning27" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning28.2066762597" name="é¢æ°ã«å¼æ°ã®åããªãå ´åã«è­¦åãã (-Wstrict-prototypes)" superClass="com.renesas.cdt.core.Compiler.option.warning28" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning29.614445109" name="g++ ã·ã³ã»ãµã¤ã¶ã¼ãèª¤ã£ã¦ããå ´åã«è­¦åãã (-Wsynth)" superClass="com.renesas.cdt.core.Compiler.option.warning29" value="false" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning30.876487416" name="C ã¨ ANSI C ã§æ§é ãç°ãªãå ´åã«è­¦åãã (-Wtraditional)" superClass="com.renesas.cdt.core.Compiler.option.warning30" value="false" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.warning31.474472286" name="æå­å®æ°ã«å¯¾ããå 'const char[length]' ãä¸ãã (-Wwrite-strings)" superClass="com.renesas.cdt.core.Compiler.option.warning31" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.inhibitWarningMess.1548815167" name="ãã¹ã¦ã®è­¦åãç¦æ­¢ãã" superClass="com.renesas.cdt.core.Compiler.option.inhibitWarningMess" value="false" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.misc53.555407143" name="åãã¼ã¿é 
-ç®ããåºåãã¡ã¤ã«å
-ã®å¯¾å¿ããã»ã¯ã·ã§ã³ã«é
-ç½®ãã(-fdata-sections)" superClass="com.renesas.cdt.core.Compiler.option.misc53" value="true" valueType="boolean"/>
-								<option id="com.renesas.cdt.core.Compiler.option.misc19.234511440" name="åé¢æ°ããåºåãã¡ã¤ã«å
-ã®å¯¾å¿ããã»ã¯ã·ã§ã³ã«é
-ç½®ãã (-ffunction-sections)" superClass="com.renesas.cdt.core.Compiler.option.misc19" value="true" valueType="boolean"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.renesas.cdt.rz.Debug.Compiler.option.userDefinedOptions.203692350" name="ã¦ã¼ã¶ã¼å®ç¾©ãªãã·ã§ã³" superClass="com.renesas.cdt.rz.Debug.Compiler.option.userDefinedOptions" valueType="stringList"/>
-								<inputType id="%Base.Compiler.C.InputType.Id.347710053" name="C å
-¥å" superClass="%Base.Compiler.C.InputType.Id"/>
-								<inputType id="Base.Compiler.CPP.InputType.Id.1588040127" name="C++ å
-¥å" superClass="Base.Compiler.CPP.InputType.Id"/>
-							</tool>
-							<tool id="com.renesas.cdt.rz.debug.win32.tool.assembler.Id.1271918947" name="Assembler" superClass="com.renesas.cdt.rz.debug.win32.tool.assembler.Id">
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.architecture.468242299" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Assembler.option.architecture" value="com.renesas.cdt.rz.Debug.Assembler.option.architecture.armv7a" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.1182870135" name="CPU ã¿ã¤ã" superClass="com.renesas.cdt.rz.Debug.Assembler.option.cpuType" value="com.renesas.cdt.rz.Debug.Assembler.option.cpuType.rza" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian.1117426347" name="ã¨ã³ãã£ã¢ã³" superClass="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian" value="com.renesas.cdt.rz.Debug.Assembler.option.dataEndian.little" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.instructionset.684245946" name="å½ä»¤ã»ãã" superClass="com.renesas.cdt.rz.Debug.Assembler.option.instructionset" value="com.renesas.cdt.rz.Debug.Assembler.option.instructionset.arm" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.targetfpu.550909895" name="ã¿ã¼ã²ãã FPU (-mfpu)" superClass="com.renesas.cdt.rz.Debug.Assembler.option.targetfpu" value="vfpv3" valueType="enumerated"/>
-								<option id="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi.361978812" name="æµ®åå°æ°ç¹ ABI (-mfloat-abi=name)" superClass="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi" value="com.renesas.cdt.rz.Debug.Assembler.option.floatingpointabi.hard" valueType="enumerated"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Assembler.option.includeFileDirectories.1556939281" name="ã¤ã³ã¯ã«ã¼ãã»ãã¡ã¤ã«ã»ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.core.Assembler.option.includeFileDirectories" valueType="includePath">
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}}/src&quot;"/>
-								</option>
-								<inputType id="%Base.Assembler.inputType.Id.422139258" name="ã¢ã»ã³ãã©ã¼å
-¥åã¿ã¤ã" superClass="%Base.Assembler.inputType.Id"/>
-							</tool>
-							<tool command="arm-none-eabi-gcc" id="com.renesas.cdt.rz.debug.win32.tool.linker.Id.68534288" name="Linker" superClass="com.renesas.cdt.rz.debug.win32.tool.linker.Id">
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories.1048191791" name="ã¢ã¼ã«ã¤ãæ¤ç´¢ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories" valueType="stringList">
+									<listOptionValue builtIn="false" value="_DEFAULT_SOURCE"/>
+								</option>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.badfunctioncast.1031659879" name="Warn if wrong cast  (-Wbad-function-cast)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.badfunctioncast" useByScannerDiscovery="true" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.missingprototypes.1450453650" name="Warn if a global function has no prototype (-Wmissing-prototypes)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.missingprototypes" useByScannerDiscovery="true" value="true" valueType="boolean"/>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.strictprototypes.1716928082" name="Warn if a function has no arg type (-Wstrict-prototypes)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.warning.strictprototypes" useByScannerDiscovery="true" value="true" valueType="boolean"/>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.option.compiler.otherWarnings.1761708766" name="Other warning flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.compiler.otherWarnings" useByScannerDiscovery="true" valueType="stringList">
+									<listOptionValue builtIn="false" value="-Wimplicit"/>
+									<listOptionValue builtIn="false" value="-Winline"/>
+									<listOptionValue builtIn="false" value="-Wcomment"/>
+									<listOptionValue builtIn="false" value="-Wredundant-decls"/>
+									<listOptionValue builtIn="false" value="-Wno-import"/>
+									<listOptionValue builtIn="false" value="-Wcast-qual"/>
+									<listOptionValue builtIn="false" value="-Wreorder"/>
+									<listOptionValue builtIn="false" value="-Wswitch"/>
+									<listOptionValue builtIn="false" value="-Wtrigraphs"/>
+									<listOptionValue builtIn="false" value="-Wsign-compare"/>
+									<listOptionValue builtIn="false" value="-Wparentheses"/>
+									<listOptionValue builtIn="false" value="-Wformat"/>
+									<listOptionValue builtIn="false" value="-Wcast-align"/>
+									<listOptionValue builtIn="false" value="-Wchar-subscripts"/>
+									<listOptionValue builtIn="false" value="-Wreturn-type"/>
+									<listOptionValue builtIn="false" value="-Wwrite-strings"/>
+									<listOptionValue builtIn="false" value="-Wnested-externs"/>
+								</option>
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.std.120612497" name="Language standard" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.std" useByScannerDiscovery="true" value="ilg.gnuarmeclipse.managedbuild.cross.option.c.compiler.std.default" valueType="enumerated"/>
+								<inputType id="ilg.gnuarmeclipse.managedbuild.cross.tool.c.compiler.input.477491771" superClass="ilg.gnuarmeclipse.managedbuild.cross.tool.c.compiler.input"/>
+							</tool>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.cpp.1779292441" name="Cross ARM C++ Compiler" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.compiler.cpp">
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.option.compiler.cpp.otherWarnings.108853295" name="Other warning flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.compiler.cpp.otherWarnings" useByScannerDiscovery="true" valueType="stringList">
+									<listOptionValue builtIn="false" value="-Wimplicit"/>
+									<listOptionValue builtIn="false" value="-Winline"/>
+									<listOptionValue builtIn="false" value="-Wcomment"/>
+									<listOptionValue builtIn="false" value="-Wredundant-decls"/>
+									<listOptionValue builtIn="false" value="-Wno-import"/>
+									<listOptionValue builtIn="false" value="-Wcast-qual"/>
+									<listOptionValue builtIn="false" value="-Wreorder"/>
+									<listOptionValue builtIn="false" value="-Wswitch"/>
+									<listOptionValue builtIn="false" value="-Wtrigraphs"/>
+									<listOptionValue builtIn="false" value="-Wsign-compare"/>
+									<listOptionValue builtIn="false" value="-Wparentheses"/>
+									<listOptionValue builtIn="false" value="-Wformat"/>
+									<listOptionValue builtIn="false" value="-Wcast-align"/>
+									<listOptionValue builtIn="false" value="-Wchar-subscripts"/>
+									<listOptionValue builtIn="false" value="-Wreturn-type"/>
+									<listOptionValue builtIn="false" value="-Wwrite-strings"/>
+									<listOptionValue builtIn="false" value="-Wnested-externs"/>
+								</option>
+							</tool>
+							<tool id="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.c.1411550726" name="Cross ARM C Linker" superClass="com.renesas.cdt.managedbuild.gcc.rz.tool.linker.c">
+								<option id="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.gcsections.1434992496" name="Remove unused sections (-Xlinker --gc-sections)" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.gcsections" value="true" valueType="boolean"/>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.archives.userIncludePath.299863743" name="User defined archive search directories (-L)" superClass="com.renesas.cdt.managedbuild.gcc.rz.archives.userIncludePath" valueType="stringList">
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lib}&quot;"/>
@@ -144,24 +151,33 @@
 									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/arm-none-eabi/lib/armv7-ar/thumb/fpu&quot;"/>
 								</option>
-								<option id="com.renesas.cdt.rz.Debug.Linker.option.dataEndian.61169564" name="ã¨ã³ãã£ã¢ã³" superClass="com.renesas.cdt.rz.Debug.Linker.option.dataEndian" value="com.renesas.cdt.rz.Debug.Linker.option.dataEndian.little" valueType="enumerated"/>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" command="-Wl," id="com.renesas.cdt.core.Linker.option.userDefinedOptions.1560126376" name="ã¦ã¼ã¶ã¼å®ç¾©ãªãã·ã§ã³" superClass="com.renesas.cdt.core.Linker.option.userDefinedOptions" valueType="stringList">
-									<listOptionValue builtIn="false" value="-e_PowerON_Reset"/>
-								</option>
-								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Linker.option.linkOrderList.926659105" name="" superClass="com.renesas.cdt.core.Linker.option.linkOrderList" valueType="stringList">
-									<listOptionValue builtIn="false" value="&quot;.\src\apibreak.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\apiprint.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\cmdbreak.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\cmdmisc.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\cmdprint.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\cmdrun.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\main.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\mirb.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\mrbc.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\mrdb.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\mruby.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\onitest.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\xprintf.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\arduino.o&quot;"/>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.otherobjs.2115660767" name="Other objects" superClass="ilg.gnuarmeclipse.managedbuild.cross.option.c.linker.otherobjs" valueType="userObjs">
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/crt1.o}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/libc.a}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/ntshell/Debug/ntshell_bin.o}&quot;"/>
+								</option>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.archives.userIncludeFiles.1706968451" name="User defined archive (library) files (-l)" superClass="com.renesas.cdt.managedbuild.gcc.rz.archives.userIncludeFiles" useByScannerDiscovery="false" valueType="stringList">
+									<listOptionValue builtIn="false" value="ce"/>
+									<listOptionValue builtIn="false" value="openssl"/>
+									<listOptionValue builtIn="false" value="zlib"/>
+									<listOptionValue builtIn="false" value="curl"/>
+									<listOptionValue builtIn="false" value="tcc"/>
+									<listOptionValue builtIn="false" value="onigmo"/>
+									<listOptionValue builtIn="false" value="mruby"/>
+									<listOptionValue builtIn="false" value="mrbcode"/>
+									<listOptionValue builtIn="false" value="mbed_api"/>
+								</option>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.option.linker.userDefined.1101903907" name="Other linker flags" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.linker.userDefined" valueType="stringList">
+									<listOptionValue builtIn="false" value="-Wl,-e_PowerON_Reset"/>
+									<listOptionValue builtIn="false" value="-Wl,-flto"/>
+								</option>
+								<option id="com.renesas.cdt.managedbuild.gcc.rz.option.linker.entrypoint.1824582243" name="Entry Point:" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.linker.entrypoint" value="" valueType="string"/>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.option.linkerscript.13587937" name="Script files (-T)" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.linkerscript" valueType="stringList">
+									<listOptionValue builtIn="false" value="&quot;${ProjDirPath}/src/linker_scriptDebug.ld&quot;"/>
+								</option>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.archives.includePath.1705977837" name="Standard archive search directories (-L)" superClass="com.renesas.cdt.managedbuild.gcc.rz.archives.includePath" useByScannerDiscovery="false" valueType="libPaths">
+									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/lib/gcc/arm-none-eabi/${GCC_VERSION}/armv7-ar/thumb/fpu&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/arm-none-eabi/lib/armv7-ar/thumb/fpu&quot;"/>
+								</option>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.managedbuild.gcc.rz.option.linkageOrder.2015437134" name="Linkage Order List" superClass="com.renesas.cdt.managedbuild.gcc.rz.option.linkageOrder" valueType="stringList">
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\bb_strtonum.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\bb_time.o&quot;"/>
